function $AdfCompositeLogWriter$$() {
  this.Init.apply(this, arguments);
}
$goog$exportSymbol$$("AdfCompositeLogWriter", $AdfCompositeLogWriter$$);
$AdfObject$$.$createSubclass$($AdfCompositeLogWriter$$, $AdfLogWriter$$);
$AdfCompositeLogWriter$$.prototype.Init = function $$AdfCompositeLogWriter$$$$Init$() {
  $AdfCompositeLogWriter$$.$superclass$.Init.call(this);
  for (var $writerCount$$ = arguments.length, $logWriters$$ = Array($writerCount$$), $i$$75$$ = 0;$i$$75$$ < $writerCount$$;$i$$75$$++) {
    $logWriters$$[$i$$75$$] = arguments[$i$$75$$];
  }
  this.$_logWriters$ = $logWriters$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.Init", {Init:$AdfCompositeLogWriter$$.prototype.Init});
$AdfCompositeLogWriter$$.prototype.$ApplyToAll$ = function $$AdfCompositeLogWriter$$$$$ApplyToAll$$($funcName$$3$$, $args$$179$$) {
  for (var $logWriters$$1$$ = this.$_logWriters$, $writerCount$$1$$ = $logWriters$$1$$.length, $i$$76$$ = 0;$i$$76$$ < $writerCount$$1$$;$i$$76$$++) {
    var $logWriter$$2$$ = $logWriters$$1$$[$i$$76$$];
    $logWriter$$2$$[$funcName$$3$$].apply($logWriter$$2$$, $args$$179$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.ApplyToAll", {$ApplyToAll$:$AdfCompositeLogWriter$$.prototype.$ApplyToAll$});
$AdfCompositeLogWriter$$.prototype.$publish$ = function $$AdfCompositeLogWriter$$$$$publish$$($record$$6$$) {
  this.$ApplyToAll$("publish", arguments);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.publish", {$publish$:$AdfCompositeLogWriter$$.prototype.$publish$});
$AdfCompositeLogWriter$$.prototype.flush = function $$AdfCompositeLogWriter$$$$flush$() {
  $AdfCompositeLogWriter$$.$superclass$.flush.call(this);
  this.$ApplyToAll$("flush", arguments);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.flush", {flush:$AdfCompositeLogWriter$$.prototype.flush});
$AdfCompositeLogWriter$$.prototype.close = function $$AdfCompositeLogWriter$$$$close$() {
  $AdfCompositeLogWriter$$.$superclass$.close.call(this);
  this.$ApplyToAll$("close", arguments);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.close", {close:$AdfCompositeLogWriter$$.prototype.close});
$AdfCompositeLogWriter$$.prototype.setFilter = function $$AdfCompositeLogWriter$$$$setFilter$($newFilter$$2$$) {
  $AdfCompositeLogWriter$$.$superclass$.setFilter.call(this, $newFilter$$2$$);
  this.$ApplyToAll$("setFilter", arguments);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.setFilter", {setFilter:$AdfCompositeLogWriter$$.prototype.setFilter});
$AdfCompositeLogWriter$$.prototype.$GetLogWriters$ = function $$AdfCompositeLogWriter$$$$$GetLogWriters$$() {
  return this.$_logWriters$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCompositeLogWriter.prototype.GetLogWriters", {$GetLogWriters$:$AdfCompositeLogWriter$$.prototype.$GetLogWriters$});
